Apache log4cxx Version @version@

Public Member Functions | List of all members
ObjectPtrT< T > Class Template Reference

smart pointer to a Object descendant More...

`#include <objectptr.h>`

Inheritance diagram for ObjectPtrT< T >:

## Public Member Functions
| ObjectPtrT (const int &null)
| ObjectPtrT ()
| ObjectPtrT (T *p1)
| ObjectPtrT (const ObjectPtrT &p1)
| ObjectPtrT (const ObjectPtrBase &p1)
| ObjectPtrT (ObjectPtrBase &p1)
| ~ObjectPtrT ()
ObjectPtrT & | operator= (const ObjectPtrT &p1)
ObjectPtrT & | operator= (const int &null)
ObjectPtrT & | operator= (T *p1)
ObjectPtrT & | operator= (ObjectPtrBase &p1)
ObjectPtrT & | operator= (const ObjectPtrBase &p1)
bool | operator== (const ObjectPtrT &p1) const
bool | operator!= (const ObjectPtrT &p1) const
bool | operator< (const ObjectPtrT &p1) const
bool | operator== (const T *p1) const
bool | operator!= (const T *p1) const
bool | operator< (const T *p1) const
T * | operator-> () const
T & | operator* () const
| operator T* () const
Public Member Functions inherited from ObjectPtrBase
| ObjectPtrBase ()
virtual | ~ObjectPtrBase ()
virtual void * | cast (const Class &cls) const =0

## Additional Inherited Members
Static Public Member Functions inherited from ObjectPtrBase
static void | checkNull (const int &null)
static void * | exchange (void **destination, void *newValue)

## Detailed Description

template<typename T>
class log4cxx::helpers::ObjectPtrT< T >

smart pointer to a Object descendant

## Constructor & Destructor Documentation

## ◆ ObjectPtrT() [1/6]

ObjectPtrT | ( | const int & | null | ) |
| inline

## ◆ ObjectPtrT() [2/6]

ObjectPtrT | ( |  | ) |
| inline

## ◆ ObjectPtrT() [3/6]

ObjectPtrT | ( | T * | p1 | ) |
| inline

## ◆ ObjectPtrT() [4/6]

ObjectPtrT | ( | const ObjectPtrT< T > & | p1 | ) |
| inline

## ◆ ObjectPtrT() [5/6]

ObjectPtrT | ( | const ObjectPtrBase & | p1 | ) |
| inline

## ◆ ObjectPtrT() [6/6]

ObjectPtrT | ( | ObjectPtrBase & | p1 | ) |
| inline

## ◆ ~ObjectPtrT()

~ObjectPtrT | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator T*()

operator T* | ( |  | ) | const
| inline

## ◆ operator!=() [1/2]

bool operator!= | ( | const ObjectPtrT< T > & | p1 | ) | const
| inline

## ◆ operator!=() [2/2]

bool operator!= | ( | const T * | p1 | ) | const
| inline

## ◆ operator*()

T & operator* | ( |  | ) | const
| inline

## ◆ operator->()

T * operator-> | ( |  | ) | const
| inline

## ◆ operator<() [1/2]

bool operator< | ( | const ObjectPtrT< T > & | p1 | ) | const
| inline

## ◆ operator<() [2/2]

bool operator< | ( | const T * | p1 | ) | const
| inline

## ◆ operator=() [1/5]

ObjectPtrT & operator= | ( | const int & | null | ) |
| inline

## ◆ operator=() [2/5]

ObjectPtrT & operator= | ( | const ObjectPtrBase & | p1 | ) |
| inline

## ◆ operator=() [3/5]

ObjectPtrT & operator= | ( | const ObjectPtrT< T > & | p1 | ) |
| inline

## ◆ operator=() [4/5]

ObjectPtrT & operator= | ( | ObjectPtrBase & | p1 | ) |
| inline

## ◆ operator=() [5/5]

ObjectPtrT & operator= | ( | T * | p1 | ) |
| inline

## ◆ operator==() [1/2]

bool operator== | ( | const ObjectPtrT< T > & | p1 | ) | const
| inline

## ◆ operator==() [2/2]

bool operator== | ( | const T * | p1 | ) | const
| inline

The documentation for this class was generated from the following file:

- objectptr.h